---
title: NBD
weight: 6
---

To create a local block device for a Vitastor image, use NBD. For example:

```
vitastor-nbd map --etcd_address 10.115.0.10:2379/v3 --image testimg
```

It will output the device name, like /dev/nbd0 which you can then format and mount as a normal block device.

You can also use `--pool <POOL> --inode <INODE> --size <SIZE>` instead of `--image <IMAGE>` if you want.

To unmap the device run:

```
vitastor-nbd unmap /dev/nbd0
```
